---
updatedAt: 2026-09-02T17:24:47.000Z
---

# Add New Item to an Ad Group

With the help of POST operation, add new ad item to the ad group in a campaign.

<Callout icon="📘" theme="info">
  ### URL: POST /api/v1/adItems
</Callout>

***Note:&#x20;***&#x56;ariant items can be added to Sponsored Brands and Sponsored Videos manual campaigns.

# Request Parameters

<Table>
  <thead>
    <tr>
      <th>
        Parameter
      </th>

      <th>
        Notes
      </th>

      <th>
        Type
      </th>

      <th>
        Required
      </th>

      <th>
        Possible Values
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        campaignId
      </td>

      <td>
        ID of the campaign where the ad group belongs
      </td>

      <td>
        integer
      </td>

      <td>
        Y
      </td>

      <td>
        Unique numeric identifier
      </td>
    </tr>

    <tr>
      <td>
        adGroupId
      </td>

      <td>
        ID of the ad group that is   part of the campaign
      </td>

      <td>
        integer
      </td>

      <td>
        Y
      </td>

      <td>
        Unique numeric identifier
      </td>
    </tr>

    <tr>
      <td>
        itemId
      </td>

      <td>
        ID of the product that is being added   to ad group
      </td>

      <td>
        string
      </td>

      <td>
        Y
      </td>

      <td>
        String identifier
      </td>
    </tr>

    <tr>
      <td>
        bid
      </td>

      <td>
        Maximum cost   per click for the item in an auto bidding campaign.   Note:   Bids on keywords in keyword-bid campaign supersede the item bid you set for items in keyword-bid campaign
      </td>

      <td>
        double
      </td>

      <td>
        Conditional
      </td>

      <td>
        Bid values can be: <ul><li>In dollars</li><li>Minimum bid amount is:<ul><li>$0.20 for auto-bid campaigns</li><li>$0.30 for keyword-bid campaigns</li><li>$0.50 for Sponsored Brands campaigns</li><li>$0.50 for Sponsored Videos campaigns</li></ul></li><li>Bid amount will be restricted to first two decimal places for advertisers. Any decimal digit beyond the first 2 digits will be truncated without rounding off.</li></ul>

        Note: <ul><li>bid is not required for TROAS campaigns. Passing bid for TROAS campaigns will be ignored by the system.</li><li>bid is required for following conditions:<ul><li> A campaign is non TROAS campaign</li><li>Item is new (not in existing items)</li><li>status = enabled</li></ul></li></ul><br />
      </td>
    </tr>

    <tr>
      <td>
        status
      </td>

      <td>
        Specified status of ad item
      </td>

      <td>
        string
      </td>

      <td>
        Y
      </td>

      <td>
        Status values can be: `enabled`, `disabled`, `deleted`<br />Note: You cannot  delete an item from a campaign that has gone live
      </td>
    </tr>
  </tbody>
</Table>

## Sample Request

```curl
curl -X POST \
"https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/adItems"\
--header 'Authorization: Bearer <auth_token>'\ 
--header 'accept: application/json'\
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779'
--header 'Content-Type: application/json' \
--data 
‘[  
  { 
    "campaignId": 600001,
    "adGroupId": 600003,
    "itemId": "45673892",
    "bid": .6,
    "status": "enabled"
   }
]’ 
```

# Response

| Element  | Description                                                        | Type    |
| -------- | ------------------------------------------------------------------ | ------- |
| code     | The response code can have following values:      success, failure | string  |
| details  | Details of the error if value of response code is failure          | string  |
| adItemId | ID of the ad item                                                  | integer |

## Sample Response

```
[
  {
    "code": "success",
    "details": "",
    "adItemId": 600001
  },
  {
    "code": "failure",
    "details": "error message",
    "adItemId": 0
  }
]
```